--- title: "Get stage" slug: "devtools-sourcedeploy-stagedetail" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-stagedetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get stage Available in Classic and VPC Get details of a deployment stage. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/project/{projectId}/stage/{stageId} | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | Required | Project ID - See [Get project list](/docs/en/devtools-sourcedeploy-projectlist). | | `stageId` | String | Required | Deployment stage ID - See [Get stage list](/docs/en/devtools-sourcedeploy-stagelist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/project/2***/stage/3***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.project` | Object | - | Project information | | `result.project.id` | Number | - | Project ID | | `result.project.name` | String | - | Project name | | `result.id` | Number | - | Deployment stage ID | | `result.name` | String | - | Deployment stage name | | `result.type` | String | - | Deployment target type - `Server` \| `AutoScalingGroup` \| `KubernetesService` \| `ObjectStorage` | | `result.config` | Object | - | Deployment target settings - Server: See [TEnvServer](/docs/en/devtools-sourcedeploy-stagedetail#TEnvServer). - AutoScalingGroup: See [TEnvAutoScalingGroup](/docs/en/devtools-sourcedeploy-stagedetail#TEnvAutoScalingGroup). - KubernetesService: See [TEnvKubernetesService](/docs/en/devtools-sourcedeploy-stagedetail#TEnvKubernetesService). - ObjectStorage: See [TEnvObjectStorage](/docs/en/devtools-sourcedeploy-stagedetail#TEnvObjectStorage). | #### TEnvServer The following describes `TEnvServer`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serverNo` | Array | Required | Target server number list - See [Get server list](/docs/en/devtools-sourcedeploy-serverlist). | #### TEnvAutoScalingGroup The following describes `TEnvAutoScalingGroup`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `autoScalingGroupNo` | Number | Required | Target Auto Scaling group number - See [Get Auto Scaling group list](/docs/en/devtools-sourcedeploy-autoscalinggrouplist). | #### TEnvKubernetesService The following describes `TEnvKubernetesService`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `clusterNo` | Number | Required | Target cluster number - See [Get Kubernetes cluster list](/docs/en/devtools-sourcedeploy-kubernetesserviceclusterlist). | #### TEnvObjectStorage The following describes `TEnvObjectStorage`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `bucketName` | String | Required | Target bucket name - See [Get Object Storage bucket list](/docs/en/devtools-sourcedeploy-objectstoragebucketlist). | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "project": { "id": 2***, "name": "deploy3" }, "id": 3***, "name": "dev-sv", "type": "Server", "config": { "serverNo": [ 1011***** ], "serverName": [ "svs" ] } } } ```